Bug 8420 - tool statisticfines.pl(bz 6858) and hourly loan(bz5549)
Summary: tool statisticfines.pl(bz 6858) and hourly loan(bz5549)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.8
Hardware: All All
: P3 major (vote)
Assignee: Fridolin SOMERS
QA Contact: Mason James
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-11 15:04 UTC by delaye
Modified: 2013-12-05 19:59 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (2.98 KB, patch)
2012-08-27 07:58 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 8420: tool statisticfines.pl and hourly loan (3.04 KB, patch)
2012-08-27 14:19 UTC, Paul Poulain
Details | Diff | Splinter Review
Proposed patch (for 3.8.X) (3.00 KB, patch)
2012-09-17 11:06 UTC, Fridolin SOMERS
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description delaye 2012-07-11 15:04:27 UTC
the tool statisticfines.pl (bz 6858) and the hourly loan (bz5549)
are not compatible.


statisticfines control date_due with this format : AAAA-MM-JJ

and hourly loan have change the format date with the hour AAAA-MM-JJ HH:MM:SS

so when i want use statisticfines.pl i have this error message

datedue_days: 
Skipping at staticfines.pl line 159.
Illegal date specified (year = 0, month = 0, day = 00) at staticfines.pl line 155
Error on date for borrower 4706: Date::Calc::Date_to_Days(): not a valid date at staticfines.pl line 156.
date_due: 0000-00-00 00:00:00
Comment 1 Fridolin SOMERS 2012-08-27 07:58:06 UTC Comment hidden (obsolete)
Comment 2 Paul Poulain 2012-08-27 14:19:12 UTC
Patch tested with a sandbox, by Delaye Stephane <stephane.delaye@biblibre.com>
Comment 3 Paul Poulain 2012-08-27 14:19:30 UTC
Created attachment 11844 [details] [review]
Bug 8420: tool statisticfines.pl and hourly loan

Signed-off-by: Delaye Stephane <stephane.delaye@biblibre.com>
Comment 4 Mason James 2012-09-14 08:38:03 UTC
> Signed-off-by: Delaye Stephane <stephane.delaye@biblibre.com>

looks good, passing QA...
i've changed version from 3.8 to master

$ koha-qa.pl 

testing 1 commit(s) (applied to commit 60790d0)
 * e0debe5 Bug 8420: tool statisticfines.pl and hourly loan
      misc/cronjobs/staticfines.pl

* misc/cronjobs/staticfines.pl                                             OK
Comment 5 Paul Poulain 2012-09-14 14:19:17 UTC
Patch pushed to master
Very local fix to a cron job. Even if the patch is written & signed-off by BibLibre, no side-effect risk at all, i've pushed it.
Comment 6 Chris Cormack 2012-09-16 08:33:50 UTC
Doesn't apply cleanly to 3.8.x, please supply a patch for it.
Comment 7 Fridolin SOMERS 2012-09-17 11:06:29 UTC
Created attachment 12271 [details] [review]
Proposed patch (for 3.8.X)

Rebased patch for 3.8.X version.

Only one existing line is different form master version.
Comment 8 Chris Cormack 2012-09-18 09:42:55 UTC
Pushed to 3.8.x, will be in 3.8.5